OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
ShipVehicleInfo Struct Reference

Information about a ship vehicle. More...

`#include <engine_type.h>`

## Public Member Functions
uint | ApplyWaterClassSpeedFrac (uint raw_speed, bool is_ocean) const
| Apply ocean/canal speed fraction to a velocity.

## Data Fields
byte | image_index
byte | cost_factor
uint16 | max_speed
| Maximum speed (1 unit = 1/3.2 mph = 0.5 km-ish/h)
uint16 | capacity
byte | running_cost
SoundID | sfx
bool | old_refittable
| Is ship refittable; only used during initialisation. Later use EngineInfo::refit_mask.
byte | visual_effect
| Bitstuffed NewGRF visual effect data.
byte | ocean_speed_frac
| Fraction of maximum speed for ocean tiles.
byte | canal_speed_frac
| Fraction of maximum speed for canal/river tiles.

## Detailed Description

Information about a ship vehicle.

Definition at line 66 of file engine_type.h.

The documentation for this struct was generated from the following file:

- src/engine_type.h